/*
    WOAccessContext.h
    WOAccess Framework Release 1.0 beta
    Copyright (c) 1997, Starr.Com.  All rights reserved.
*/

#import <Foundation/NSObject.h>
#import "WOAccessTypes.h"

@class WORequest;
@class WOAccessConfig;
@class NSDictionary;
@class NSString;
@class WOComponent;

@interface WOAccessContext:NSObject
{
	WORequest			*request;
	WOAccessConfig		*accessConfig;
	NSDictionary		*credentials;
	WOAccessStatusCode	_code;
	WOComponent			*_responseComponent;
}

- initWithRequest:(WORequest*) aRequest;
- (WOAccessConfig*) accessConfig;
- (void) setAccessConfig:(WOAccessConfig*) anAccessConfig;
- (NSDictionary*) credentials;
- (void) setCredentials:(NSDictionary*) someCredentials;
- (WORequest*) request;

@end

@interface WOAccessContext(Conveniences)
- (NSString*) requestPageName;
@end