/*
	WOAccessLogin.h
    WOAccess Framework Release 1.0 beta
    Copyright (c) 1997, Starr.Com.  All rights reserved.
*/

#import <WebObjects/WOComponent.h>

@class NSString;
@class NSMutableDictionary;
@class NSNumber;

@interface WOAccessLogin:WOComponent
{
	NSMutableDictionary	*credentials;
	NSString		*realm;
	NSString		*errorMessage;
	
	NSString	*nextPageName;
    WOComponent	*nextPage;
}

// The page the user was denied access to
- (void) setNextPage:(WOComponent*) component;
- (WOComponent*) nextPage;
- (void) setNextPageName:(NSString*) component;
- (NSString*) nextPageName;

// Action to submit credentials
- (WOComponent*) login;

// The credentials, depends on certifier
// Usually UserName & Password
// Is stored as 'WOAccessCredentials' in the session
- (NSMutableDictionary*) credentials;
- (void) setCredentials:(NSMutableDictionary*) someCredentials;

// Optional realm, is used instead of page name in login text
- (void) setRealm:(NSString*) realm;
- (NSString*) realm;

// Condition that can be used to tes if an errorMessage was set
// This could be the case if a prior login failed
- (NSNumber*) loginFailed;
- (void) setLoginFailed:(NSNumber*) aNumber;

// An error message to display
- (void) setErrorMessage:(NSString*) msg;
- (NSString*) errorMessage;

@end