/*
    WOAccessManager.h
    WOAccess Framework Release 1.0 beta
    Copyright (c) 1997, Starr.Com.  All rights reserved.
*/

#import <Foundation/NSObject.h>
#import "WOAccessTypes.h"
#import "WOAccessProtocols.h"

@class NSMutableDictionary;
@class NSDictionary;
@class NSString;
@class WOAccessConfig;
@class WOAccessContext;
@class WOResponse;
@class WOAccessHTTPAuthenticationScheme;

extern NSString *WOAccessException;
@interface WOAccessManager:NSObject <NSCoding>
{
	NSMutableDictionary	*accessList;	// List of all access rights
	WOAccessConfig		*globalAccess;
	NSDictionary		*configDict;
    NSMutableDictionary	*sharedInstances;
	// 
	WOAccessContext		*accessContext;
}

- initWithPath:(NSString*) aPath;
- (void)handleRequest:(WORequest *)aRequest;
- (void) deny;
- (WOAccessConfig*) accessForPageNamed:(NSString*) pageName;
- (WOAccessStatusCode) performAccessCheckWith:(WOAccessConfig*) access;
- (void) checkAccessForComponent:(WOComponent*) aPage;
- (void) checkAccessForComponentNamed:(NSString*) pageName;		
- (void) sleep;
@end

@interface WOAccessManager(ResourceHandling)
- classNamed:(NSString*) aName;
- (WOAccessHTTPAuthenticationScheme*) authenticationSchemeNamed:(NSString*) aName;
@end

